pragma Ada_95;
pragma Warnings (Off);
pragma Source_File_Name (ada_main, Spec_File_Name => "b__templatespp.ads");
pragma Source_File_Name (ada_main, Body_File_Name => "b__templatespp.adb");
pragma Suppress (Overflow_Check);

with System.Restrictions;
with Ada.Exceptions;

package body ada_main is

   E110 : Short_Integer; pragma Import (Ada, E110, "system__os_lib_E");
   E013 : Short_Integer; pragma Import (Ada, E013, "system__soft_links_E");
   E019 : Short_Integer; pragma Import (Ada, E019, "system__exception_table_E");
   E139 : Short_Integer; pragma Import (Ada, E139, "ada__containers_E");
   E091 : Short_Integer; pragma Import (Ada, E091, "ada__io_exceptions_E");
   E050 : Short_Integer; pragma Import (Ada, E050, "ada__strings_E");
   E056 : Short_Integer; pragma Import (Ada, E056, "ada__strings__maps_E");
   E119 : Short_Integer; pragma Import (Ada, E119, "ada__strings__maps__constants_E");
   E065 : Short_Integer; pragma Import (Ada, E065, "ada__tags_E");
   E090 : Short_Integer; pragma Import (Ada, E090, "ada__streams_E");
   E108 : Short_Integer; pragma Import (Ada, E108, "interfaces__c_E");
   E198 : Short_Integer; pragma Import (Ada, E198, "interfaces__c__strings_E");
   E021 : Short_Integer; pragma Import (Ada, E021, "system__exceptions_E");
   E113 : Short_Integer; pragma Import (Ada, E113, "system__file_control_block_E");
   E170 : Short_Integer; pragma Import (Ada, E170, "ada__streams__stream_io_E");
   E106 : Short_Integer; pragma Import (Ada, E106, "system__file_io_E");
   E093 : Short_Integer; pragma Import (Ada, E093, "system__finalization_root_E");
   E088 : Short_Integer; pragma Import (Ada, E088, "ada__finalization_E");
   E164 : Short_Integer; pragma Import (Ada, E164, "system__regpat_E");
   E095 : Short_Integer; pragma Import (Ada, E095, "system__storage_pools_E");
   E083 : Short_Integer; pragma Import (Ada, E083, "system__finalization_masters_E");
   E081 : Short_Integer; pragma Import (Ada, E081, "system__storage_pools__subpools_E");
   E216 : Short_Integer; pragma Import (Ada, E216, "system__task_info_E");
   E136 : Short_Integer; pragma Import (Ada, E136, "ada__calendar_E");
   E183 : Short_Integer; pragma Import (Ada, E183, "ada__calendar__time_zones_E");
   E152 : Short_Integer; pragma Import (Ada, E152, "gnat__calendar_E");
   E155 : Short_Integer; pragma Import (Ada, E155, "gnat__calendar__time_io_E");
   E121 : Short_Integer; pragma Import (Ada, E121, "gnat__directory_operations_E");
   E124 : Short_Integer; pragma Import (Ada, E124, "system__pool_global_E");
   E009 : Short_Integer; pragma Import (Ada, E009, "system__secondary_stack_E");
   E052 : Short_Integer; pragma Import (Ada, E052, "ada__strings__unbounded_E");
   E179 : Short_Integer; pragma Import (Ada, E179, "ada__directories_E");
   E131 : Short_Integer; pragma Import (Ada, E131, "system__regexp_E");
   E116 : Short_Integer; pragma Import (Ada, E116, "gnat__command_line_E");
   E230 : Short_Integer; pragma Import (Ada, E230, "system__tasking__initialization_E");
   E101 : Short_Integer; pragma Import (Ada, E101, "ada__text_io_E");
   E240 : Short_Integer; pragma Import (Ada, E240, "system__tasking__protected_objects_E");
   E244 : Short_Integer; pragma Import (Ada, E244, "system__tasking__protected_objects__entries_E");
   E238 : Short_Integer; pragma Import (Ada, E238, "system__tasking__queuing_E");
   E200 : Short_Integer; pragma Import (Ada, E200, "templates_parser_tasking_E");
   E134 : Short_Integer; pragma Import (Ada, E134, "templates_parser_E");
   E175 : Short_Integer; pragma Import (Ada, E175, "templates_parser__input_E");
   E177 : Short_Integer; pragma Import (Ada, E177, "templates_parser__utils_E");

   Local_Priority_Specific_Dispatching : constant String := "";
   Local_Interrupt_States : constant String := "";

   Is_Elaborated : Boolean := False;

   procedure finalize_library is
   begin
      declare
         procedure F1;
         pragma Import (Ada, F1, "templates_parser__finalize_body");
      begin
         E134 := E134 - 1;
         F1;
      end;
      declare
         procedure F2;
         pragma Import (Ada, F2, "templates_parser__finalize_spec");
      begin
         F2;
      end;
      declare
         procedure F3;
         pragma Import (Ada, F3, "templates_parser_tasking__finalize_body");
      begin
         E200 := E200 - 1;
         F3;
      end;
      E244 := E244 - 1;
      declare
         procedure F4;
         pragma Import (Ada, F4, "system__tasking__protected_objects__entries__finalize_spec");
      begin
         F4;
      end;
      E101 := E101 - 1;
      declare
         procedure F5;
         pragma Import (Ada, F5, "ada__text_io__finalize_spec");
      begin
         F5;
      end;
      E179 := E179 - 1;
      E131 := E131 - 1;
      declare
         procedure F6;
         pragma Import (Ada, F6, "system__regexp__finalize_spec");
      begin
         F6;
      end;
      declare
         procedure F7;
         pragma Import (Ada, F7, "ada__directories__finalize_spec");
      begin
         F7;
      end;
      E052 := E052 - 1;
      declare
         procedure F8;
         pragma Import (Ada, F8, "ada__strings__unbounded__finalize_spec");
      begin
         F8;
      end;
      declare
         procedure F9;
         pragma Import (Ada, F9, "system__file_io__finalize_body");
      begin
         E106 := E106 - 1;
         F9;
      end;
      E083 := E083 - 1;
      E081 := E081 - 1;
      E124 := E124 - 1;
      declare
         procedure F10;
         pragma Import (Ada, F10, "system__pool_global__finalize_spec");
      begin
         F10;
      end;
      declare
         procedure F11;
         pragma Import (Ada, F11, "system__storage_pools__subpools__finalize_spec");
      begin
         F11;
      end;
      declare
         procedure F12;
         pragma Import (Ada, F12, "system__finalization_masters__finalize_spec");
      begin
         F12;
      end;
      E170 := E170 - 1;
      declare
         procedure F13;
         pragma Import (Ada, F13, "ada__streams__stream_io__finalize_spec");
      begin
         F13;
      end;
      declare
         procedure Reraise_Library_Exception_If_Any;
            pragma Import (Ada, Reraise_Library_Exception_If_Any, "__gnat_reraise_library_exception_if_any");
      begin
         Reraise_Library_Exception_If_Any;
      end;
   end finalize_library;

   procedure adafinal is
      procedure s_stalib_adafinal;
      pragma Import (C, s_stalib_adafinal, "system__standard_library__adafinal");

      procedure Runtime_Finalize;
      pragma Import (C, Runtime_Finalize, "__gnat_runtime_finalize");

   begin
      if not Is_Elaborated then
         return;
      end if;
      Is_Elaborated := False;
      Runtime_Finalize;
      s_stalib_adafinal;
   end adafinal;

   type No_Param_Proc is access procedure;

   procedure adainit is
      Main_Priority : Integer;
      pragma Import (C, Main_Priority, "__gl_main_priority");
      Time_Slice_Value : Integer;
      pragma Import (C, Time_Slice_Value, "__gl_time_slice_val");
      WC_Encoding : Character;
      pragma Import (C, WC_Encoding, "__gl_wc_encoding");
      Locking_Policy : Character;
      pragma Import (C, Locking_Policy, "__gl_locking_policy");
      Queuing_Policy : Character;
      pragma Import (C, Queuing_Policy, "__gl_queuing_policy");
      Task_Dispatching_Policy : Character;
      pragma Import (C, Task_Dispatching_Policy, "__gl_task_dispatching_policy");
      Priority_Specific_Dispatching : System.Address;
      pragma Import (C, Priority_Specific_Dispatching, "__gl_priority_specific_dispatching");
      Num_Specific_Dispatching : Integer;
      pragma Import (C, Num_Specific_Dispatching, "__gl_num_specific_dispatching");
      Main_CPU : Integer;
      pragma Import (C, Main_CPU, "__gl_main_cpu");
      Interrupt_States : System.Address;
      pragma Import (C, Interrupt_States, "__gl_interrupt_states");
      Num_Interrupt_States : Integer;
      pragma Import (C, Num_Interrupt_States, "__gl_num_interrupt_states");
      Unreserve_All_Interrupts : Integer;
      pragma Import (C, Unreserve_All_Interrupts, "__gl_unreserve_all_interrupts");
      Exception_Tracebacks : Integer;
      pragma Import (C, Exception_Tracebacks, "__gl_exception_tracebacks");
      Detect_Blocking : Integer;
      pragma Import (C, Detect_Blocking, "__gl_detect_blocking");
      Default_Stack_Size : Integer;
      pragma Import (C, Default_Stack_Size, "__gl_default_stack_size");
      Leap_Seconds_Support : Integer;
      pragma Import (C, Leap_Seconds_Support, "__gl_leap_seconds_support");
      Bind_Env_Addr : System.Address;
      pragma Import (C, Bind_Env_Addr, "__gl_bind_env_addr");

      procedure Runtime_Initialize (Install_Handler : Integer);
      pragma Import (C, Runtime_Initialize, "__gnat_runtime_initialize");

      Finalize_Library_Objects : No_Param_Proc;
      pragma Import (C, Finalize_Library_Objects, "__gnat_finalize_library_objects");
   begin
      if Is_Elaborated then
         return;
      end if;
      Is_Elaborated := True;
      Main_Priority := -1;
      Time_Slice_Value := -1;
      WC_Encoding := 'b';
      Locking_Policy := ' ';
      Queuing_Policy := ' ';
      Task_Dispatching_Policy := ' ';
      System.Restrictions.Run_Time_Restrictions :=
        (Set =>
          (False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, True, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False),
         Value => (0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
         Violated =>
          (True, False, False, True, True, False, False, True, 
           False, False, True, True, True, True, False, False, 
           True, False, False, True, True, False, True, True, 
           False, True, True, True, True, True, True, False, 
           False, True, False, True, False, False, True, False, 
           True, False, True, True, False, False, True, True, 
           False, False, False, True, False, True, False, False, 
           False, False, False, False, False, True, True, True, 
           False, False, True, False, True, True, True, False, 
           True, True, False, True, True, True, False, False, 
           True, False, False, False, True, False, False, False, 
           False, True, False),
         Count => (0, 0, 0, 2, 0, 0, 0, 0, 1, 0),
         Unknown => (False, False, False, False, False, False, False, False, True, False));
      Priority_Specific_Dispatching :=
        Local_Priority_Specific_Dispatching'Address;
      Num_Specific_Dispatching := 0;
      Main_CPU := -1;
      Interrupt_States := Local_Interrupt_States'Address;
      Num_Interrupt_States := 0;
      Unreserve_All_Interrupts := 0;
      Exception_Tracebacks := 1;
      Detect_Blocking := 0;
      Default_Stack_Size := -1;
      Leap_Seconds_Support := 0;

      Runtime_Initialize (1);

      Finalize_Library_Objects := finalize_library'access;

      System.Soft_Links'Elab_Spec;
      System.Exception_Table'Elab_Body;
      E019 := E019 + 1;
      Ada.Containers'Elab_Spec;
      E139 := E139 + 1;
      Ada.Io_Exceptions'Elab_Spec;
      E091 := E091 + 1;
      Ada.Strings'Elab_Spec;
      E050 := E050 + 1;
      Ada.Strings.Maps'Elab_Spec;
      Ada.Strings.Maps.Constants'Elab_Spec;
      E119 := E119 + 1;
      Ada.Tags'Elab_Spec;
      Ada.Streams'Elab_Spec;
      E090 := E090 + 1;
      Interfaces.C'Elab_Spec;
      Interfaces.C.Strings'Elab_Spec;
      System.Exceptions'Elab_Spec;
      E021 := E021 + 1;
      System.File_Control_Block'Elab_Spec;
      E113 := E113 + 1;
      Ada.Streams.Stream_Io'Elab_Spec;
      E170 := E170 + 1;
      System.Finalization_Root'Elab_Spec;
      E093 := E093 + 1;
      Ada.Finalization'Elab_Spec;
      E088 := E088 + 1;
      System.Regpat'Elab_Spec;
      System.Storage_Pools'Elab_Spec;
      E095 := E095 + 1;
      System.Finalization_Masters'Elab_Spec;
      System.Storage_Pools.Subpools'Elab_Spec;
      System.Task_Info'Elab_Spec;
      E216 := E216 + 1;
      Ada.Calendar'Elab_Spec;
      Ada.Calendar'Elab_Body;
      E136 := E136 + 1;
      Ada.Calendar.Time_Zones'Elab_Spec;
      E183 := E183 + 1;
      Gnat.Calendar'Elab_Spec;
      E152 := E152 + 1;
      Gnat.Calendar.Time_Io'Elab_Spec;
      Gnat.Directory_Operations'Elab_Spec;
      System.Pool_Global'Elab_Spec;
      E124 := E124 + 1;
      E081 := E081 + 1;
      System.Finalization_Masters'Elab_Body;
      E083 := E083 + 1;
      E164 := E164 + 1;
      System.File_Io'Elab_Body;
      E106 := E106 + 1;
      E198 := E198 + 1;
      E108 := E108 + 1;
      Ada.Tags'Elab_Body;
      E065 := E065 + 1;
      E056 := E056 + 1;
      System.Soft_Links'Elab_Body;
      E013 := E013 + 1;
      System.Os_Lib'Elab_Body;
      E110 := E110 + 1;
      System.Secondary_Stack'Elab_Body;
      E009 := E009 + 1;
      Gnat.Directory_Operations'Elab_Body;
      E121 := E121 + 1;
      Ada.Strings.Unbounded'Elab_Spec;
      E052 := E052 + 1;
      Ada.Directories'Elab_Spec;
      System.Regexp'Elab_Spec;
      E131 := E131 + 1;
      Ada.Directories'Elab_Body;
      E179 := E179 + 1;
      Gnat.Command_Line'Elab_Spec;
      System.Tasking.Initialization'Elab_Body;
      E230 := E230 + 1;
      Ada.Text_Io'Elab_Spec;
      Ada.Text_Io'Elab_Body;
      E101 := E101 + 1;
      Gnat.Command_Line'Elab_Body;
      E116 := E116 + 1;
      E155 := E155 + 1;
      System.Tasking.Protected_Objects'Elab_Body;
      E240 := E240 + 1;
      System.Tasking.Protected_Objects.Entries'Elab_Spec;
      E244 := E244 + 1;
      System.Tasking.Queuing'Elab_Body;
      E238 := E238 + 1;
      Templates_Parser_Tasking'Elab_Body;
      E200 := E200 + 1;
      Templates_Parser'Elab_Spec;
      Templates_Parser.Input'Elab_Spec;
      E175 := E175 + 1;
      Templates_Parser.Utils'Elab_Spec;
      E177 := E177 + 1;
      Templates_Parser'Elab_Body;
      E134 := E134 + 1;
   end adainit;

   procedure Ada_Main_Program;
   pragma Import (Ada, Ada_Main_Program, "_ada_templatespp");

   function main
     (argc : Integer;
      argv : System.Address;
      envp : System.Address)
      return Integer
   is
      procedure Initialize (Addr : System.Address);
      pragma Import (C, Initialize, "__gnat_initialize");

      procedure Finalize;
      pragma Import (C, Finalize, "__gnat_finalize");
      SEH : aliased array (1 .. 2) of Integer;

      Ensure_Reference : aliased System.Address := Ada_Main_Program_Name'Address;
      pragma Volatile (Ensure_Reference);

   begin
      gnat_argc := argc;
      gnat_argv := argv;
      gnat_envp := envp;

      Initialize (SEH'Address);
      adainit;
      Ada_Main_Program;
      adafinal;
      Finalize;
      return (gnat_exit_status);
   end;

--  BEGIN Object file/option list
   --   /builddir/build/BUILD/templates_parser-11.8.0/.build/armv7hl-redhat-linux-gnueabi/release/relocatable/tobj/templatespp.o
   --   -L/builddir/build/BUILD/templates_parser-11.8.0/.build/armv7hl-redhat-linux-gnueabi/release/relocatable/tobj/
   --   -L/builddir/build/BUILD/templates_parser-11.8.0/.build/armv7hl-redhat-linux-gnueabi/release/relocatable/tobj/
   --   -L/builddir/build/BUILD/templates_parser-11.8.0/.build/armv7hl-redhat-linux-gnueabi/release/relocatable/lib/
   --   -L/usr/lib/gcc/armv7hl-redhat-linux-gnueabi/6.0.0/adalib/
   --   -shared
   --   -lgnarl-6
   --   -lgnat-6
   --   -lpthread
   --   -lrt
--  END Object file/option list   

end ada_main;
