pragma Ada_95;
pragma Warnings (Off);
with System;
package ada_main is

   gnat_argc : Integer;
   gnat_argv : System.Address;
   gnat_envp : System.Address;

   pragma Import (C, gnat_argc);
   pragma Import (C, gnat_argv);
   pragma Import (C, gnat_envp);

   gnat_exit_status : Integer;
   pragma Import (C, gnat_exit_status);

   GNAT_Version : constant String :=
                    "GNAT Version: 6.0.0 20160201 (Red Hat 6.0.0-0.9)" & ASCII.NUL;
   pragma Export (C, GNAT_Version, "__gnat_version");

   Ada_Main_Program_Name : constant String := "_ada_templatespp" & ASCII.NUL;
   pragma Export (C, Ada_Main_Program_Name, "__gnat_ada_main_program_name");

   procedure adainit;
   pragma Export (C, adainit, "adainit");

   procedure adafinal;
   pragma Export (C, adafinal, "adafinal");

   function main
     (argc : Integer;
      argv : System.Address;
      envp : System.Address)
      return Integer;
   pragma Export (C, main, "main");

   type Version_32 is mod 2 ** 32;
   u00001 : constant Version_32 := 16#f69882e5#;
   pragma Export (C, u00001, "templatesppB");
   u00002 : constant Version_32 := 16#b6df930e#;
   pragma Export (C, u00002, "system__standard_libraryB");
   u00003 : constant Version_32 := 16#da4b6ed6#;
   pragma Export (C, u00003, "system__standard_libraryS");
   u00004 : constant Version_32 := 16#3ffc8e18#;
   pragma Export (C, u00004, "adaS");
   u00005 : constant Version_32 := 16#ac2e2fbd#;
   pragma Export (C, u00005, "ada__command_lineB");
   u00006 : constant Version_32 := 16#d59e21a4#;
   pragma Export (C, u00006, "ada__command_lineS");
   u00007 : constant Version_32 := 16#2a1dd890#;
   pragma Export (C, u00007, "systemS");
   u00008 : constant Version_32 := 16#0f0cb66d#;
   pragma Export (C, u00008, "system__secondary_stackB");
   u00009 : constant Version_32 := 16#817c17f9#;
   pragma Export (C, u00009, "system__secondary_stackS");
   u00010 : constant Version_32 := 16#b01dad17#;
   pragma Export (C, u00010, "system__parametersB");
   u00011 : constant Version_32 := 16#5437d5ef#;
   pragma Export (C, u00011, "system__parametersS");
   u00012 : constant Version_32 := 16#465d427a#;
   pragma Export (C, u00012, "system__soft_linksB");
   u00013 : constant Version_32 := 16#b49900c5#;
   pragma Export (C, u00013, "system__soft_linksS");
   u00014 : constant Version_32 := 16#ae1a5b4e#;
   pragma Export (C, u00014, "ada__exceptionsB");
   u00015 : constant Version_32 := 16#4b348612#;
   pragma Export (C, u00015, "ada__exceptionsS");
   u00016 : constant Version_32 := 16#e947e6a9#;
   pragma Export (C, u00016, "ada__exceptions__last_chance_handlerB");
   u00017 : constant Version_32 := 16#41e5552e#;
   pragma Export (C, u00017, "ada__exceptions__last_chance_handlerS");
   u00018 : constant Version_32 := 16#87a448ff#;
   pragma Export (C, u00018, "system__exception_tableB");
   u00019 : constant Version_32 := 16#77b3b1d2#;
   pragma Export (C, u00019, "system__exception_tableS");
   u00020 : constant Version_32 := 16#ce4af020#;
   pragma Export (C, u00020, "system__exceptionsB");
   u00021 : constant Version_32 := 16#427eb566#;
   pragma Export (C, u00021, "system__exceptionsS");
   u00022 : constant Version_32 := 16#0b0cea24#;
   pragma Export (C, u00022, "system__exceptions__machineS");
   u00023 : constant Version_32 := 16#aa0563fc#;
   pragma Export (C, u00023, "system__exceptions_debugB");
   u00024 : constant Version_32 := 16#54972154#;
   pragma Export (C, u00024, "system__exceptions_debugS");
   u00025 : constant Version_32 := 16#570325c8#;
   pragma Export (C, u00025, "system__img_intB");
   u00026 : constant Version_32 := 16#28c63852#;
   pragma Export (C, u00026, "system__img_intS");
   u00027 : constant Version_32 := 16#39a03df9#;
   pragma Export (C, u00027, "system__storage_elementsB");
   u00028 : constant Version_32 := 16#07de9294#;
   pragma Export (C, u00028, "system__storage_elementsS");
   u00029 : constant Version_32 := 16#39df8c17#;
   pragma Export (C, u00029, "system__tracebackB");
   u00030 : constant Version_32 := 16#743f0654#;
   pragma Export (C, u00030, "system__tracebackS");
   u00031 : constant Version_32 := 16#9ed49525#;
   pragma Export (C, u00031, "system__traceback_entriesB");
   u00032 : constant Version_32 := 16#2a462ee0#;
   pragma Export (C, u00032, "system__traceback_entriesS");
   u00033 : constant Version_32 := 16#6fd210f2#;
   pragma Export (C, u00033, "system__traceback__symbolicB");
   u00034 : constant Version_32 := 16#dd19f67a#;
   pragma Export (C, u00034, "system__traceback__symbolicS");
   u00035 : constant Version_32 := 16#701f9d88#;
   pragma Export (C, u00035, "ada__exceptions__tracebackB");
   u00036 : constant Version_32 := 16#20245e75#;
   pragma Export (C, u00036, "ada__exceptions__tracebackS");
   u00037 : constant Version_32 := 16#57a37a42#;
   pragma Export (C, u00037, "system__address_imageB");
   u00038 : constant Version_32 := 16#8bf145aa#;
   pragma Export (C, u00038, "system__address_imageS");
   u00039 : constant Version_32 := 16#8c33a517#;
   pragma Export (C, u00039, "system__wch_conB");
   u00040 : constant Version_32 := 16#3160fa42#;
   pragma Export (C, u00040, "system__wch_conS");
   u00041 : constant Version_32 := 16#9721e840#;
   pragma Export (C, u00041, "system__wch_stwB");
   u00042 : constant Version_32 := 16#1c71d643#;
   pragma Export (C, u00042, "system__wch_stwS");
   u00043 : constant Version_32 := 16#b96cfbef#;
   pragma Export (C, u00043, "system__wch_cnvB");
   u00044 : constant Version_32 := 16#3ed740b1#;
   pragma Export (C, u00044, "system__wch_cnvS");
   u00045 : constant Version_32 := 16#4be8ce1b#;
   pragma Export (C, u00045, "interfacesS");
   u00046 : constant Version_32 := 16#ece6fdb6#;
   pragma Export (C, u00046, "system__wch_jisB");
   u00047 : constant Version_32 := 16#bea75990#;
   pragma Export (C, u00047, "system__wch_jisS");
   u00048 : constant Version_32 := 16#41837d1e#;
   pragma Export (C, u00048, "system__stack_checkingB");
   u00049 : constant Version_32 := 16#a4a2b378#;
   pragma Export (C, u00049, "system__stack_checkingS");
   u00050 : constant Version_32 := 16#af50e98f#;
   pragma Export (C, u00050, "ada__stringsS");
   u00051 : constant Version_32 := 16#0e71a6bb#;
   pragma Export (C, u00051, "ada__strings__unboundedB");
   u00052 : constant Version_32 := 16#39d50c27#;
   pragma Export (C, u00052, "ada__strings__unboundedS");
   u00053 : constant Version_32 := 16#e5480ede#;
   pragma Export (C, u00053, "ada__strings__fixedB");
   u00054 : constant Version_32 := 16#a86b22b3#;
   pragma Export (C, u00054, "ada__strings__fixedS");
   u00055 : constant Version_32 := 16#e2ea8656#;
   pragma Export (C, u00055, "ada__strings__mapsB");
   u00056 : constant Version_32 := 16#1e526bec#;
   pragma Export (C, u00056, "ada__strings__mapsS");
   u00057 : constant Version_32 := 16#e409fc4f#;
   pragma Export (C, u00057, "system__bit_opsB");
   u00058 : constant Version_32 := 16#0765e3a3#;
   pragma Export (C, u00058, "system__bit_opsS");
   u00059 : constant Version_32 := 16#b7457c50#;
   pragma Export (C, u00059, "system__unsigned_typesS");
   u00060 : constant Version_32 := 16#12c24a43#;
   pragma Export (C, u00060, "ada__charactersS");
   u00061 : constant Version_32 := 16#4b7bb96a#;
   pragma Export (C, u00061, "ada__characters__latin_1S");
   u00062 : constant Version_32 := 16#0cf23d06#;
   pragma Export (C, u00062, "ada__strings__searchB");
   u00063 : constant Version_32 := 16#c1ab8667#;
   pragma Export (C, u00063, "ada__strings__searchS");
   u00064 : constant Version_32 := 16#920eada5#;
   pragma Export (C, u00064, "ada__tagsB");
   u00065 : constant Version_32 := 16#13ca27f3#;
   pragma Export (C, u00065, "ada__tagsS");
   u00066 : constant Version_32 := 16#c3335bfd#;
   pragma Export (C, u00066, "system__htableB");
   u00067 : constant Version_32 := 16#aedf6b7a#;
   pragma Export (C, u00067, "system__htableS");
   u00068 : constant Version_32 := 16#089f5cd0#;
   pragma Export (C, u00068, "system__string_hashB");
   u00069 : constant Version_32 := 16#0c810004#;
   pragma Export (C, u00069, "system__string_hashS");
   u00070 : constant Version_32 := 16#b44f9ae7#;
   pragma Export (C, u00070, "system__val_unsB");
   u00071 : constant Version_32 := 16#a7ed916b#;
   pragma Export (C, u00071, "system__val_unsS");
   u00072 : constant Version_32 := 16#27b600b2#;
   pragma Export (C, u00072, "system__val_utilB");
   u00073 : constant Version_32 := 16#86bd6e6e#;
   pragma Export (C, u00073, "system__val_utilS");
   u00074 : constant Version_32 := 16#d1060688#;
   pragma Export (C, u00074, "system__case_utilB");
   u00075 : constant Version_32 := 16#0e14b147#;
   pragma Export (C, u00075, "system__case_utilS");
   u00076 : constant Version_32 := 16#5b9edcc4#;
   pragma Export (C, u00076, "system__compare_array_unsigned_8B");
   u00077 : constant Version_32 := 16#831ea91d#;
   pragma Export (C, u00077, "system__compare_array_unsigned_8S");
   u00078 : constant Version_32 := 16#5f72f755#;
   pragma Export (C, u00078, "system__address_operationsB");
   u00079 : constant Version_32 := 16#391166a3#;
   pragma Export (C, u00079, "system__address_operationsS");
   u00080 : constant Version_32 := 16#e78389d8#;
   pragma Export (C, u00080, "system__storage_pools__subpoolsB");
   u00081 : constant Version_32 := 16#cc5a1856#;
   pragma Export (C, u00081, "system__storage_pools__subpoolsS");
   u00082 : constant Version_32 := 16#6abe5dbe#;
   pragma Export (C, u00082, "system__finalization_mastersB");
   u00083 : constant Version_32 := 16#71e1e15a#;
   pragma Export (C, u00083, "system__finalization_mastersS");
   u00084 : constant Version_32 := 16#7268f812#;
   pragma Export (C, u00084, "system__img_boolB");
   u00085 : constant Version_32 := 16#dfc4a97b#;
   pragma Export (C, u00085, "system__img_boolS");
   u00086 : constant Version_32 := 16#d7aac20c#;
   pragma Export (C, u00086, "system__ioB");
   u00087 : constant Version_32 := 16#b45f2fdf#;
   pragma Export (C, u00087, "system__ioS");
   u00088 : constant Version_32 := 16#cf417de3#;
   pragma Export (C, u00088, "ada__finalizationS");
   u00089 : constant Version_32 := 16#10558b11#;
   pragma Export (C, u00089, "ada__streamsB");
   u00090 : constant Version_32 := 16#2e6701ab#;
   pragma Export (C, u00090, "ada__streamsS");
   u00091 : constant Version_32 := 16#db5c917c#;
   pragma Export (C, u00091, "ada__io_exceptionsS");
   u00092 : constant Version_32 := 16#95817ed8#;
   pragma Export (C, u00092, "system__finalization_rootB");
   u00093 : constant Version_32 := 16#65efab00#;
   pragma Export (C, u00093, "system__finalization_rootS");
   u00094 : constant Version_32 := 16#6d4d969a#;
   pragma Export (C, u00094, "system__storage_poolsB");
   u00095 : constant Version_32 := 16#09f0463d#;
   pragma Export (C, u00095, "system__storage_poolsS");
   u00096 : constant Version_32 := 16#9aad1ff1#;
   pragma Export (C, u00096, "system__storage_pools__subpools__finalizationB");
   u00097 : constant Version_32 := 16#fe2f4b3a#;
   pragma Export (C, u00097, "system__storage_pools__subpools__finalizationS");
   u00098 : constant Version_32 := 16#f4e1c091#;
   pragma Export (C, u00098, "system__stream_attributesB");
   u00099 : constant Version_32 := 16#221dd20d#;
   pragma Export (C, u00099, "system__stream_attributesS");
   u00100 : constant Version_32 := 16#28f088c2#;
   pragma Export (C, u00100, "ada__text_ioB");
   u00101 : constant Version_32 := 16#c44854bd#;
   pragma Export (C, u00101, "ada__text_ioS");
   u00102 : constant Version_32 := 16#84a27f0d#;
   pragma Export (C, u00102, "interfaces__c_streamsB");
   u00103 : constant Version_32 := 16#a06e9ee4#;
   pragma Export (C, u00103, "interfaces__c_streamsS");
   u00104 : constant Version_32 := 16#5a8c0e9e#;
   pragma Export (C, u00104, "system__crtlS");
   u00105 : constant Version_32 := 16#f1dc49a7#;
   pragma Export (C, u00105, "system__file_ioB");
   u00106 : constant Version_32 := 16#8d6c39f5#;
   pragma Export (C, u00106, "system__file_ioS");
   u00107 : constant Version_32 := 16#769e25e6#;
   pragma Export (C, u00107, "interfaces__cB");
   u00108 : constant Version_32 := 16#61e3d2ff#;
   pragma Export (C, u00108, "interfaces__cS");
   u00109 : constant Version_32 := 16#f0483afa#;
   pragma Export (C, u00109, "system__os_libB");
   u00110 : constant Version_32 := 16#dc0cac3f#;
   pragma Export (C, u00110, "system__os_libS");
   u00111 : constant Version_32 := 16#1a817b8e#;
   pragma Export (C, u00111, "system__stringsB");
   u00112 : constant Version_32 := 16#54a2c9f6#;
   pragma Export (C, u00112, "system__stringsS");
   u00113 : constant Version_32 := 16#d7824238#;
   pragma Export (C, u00113, "system__file_control_blockS");
   u00114 : constant Version_32 := 16#fd2ad2f1#;
   pragma Export (C, u00114, "gnatS");
   u00115 : constant Version_32 := 16#f842cbf3#;
   pragma Export (C, u00115, "gnat__command_lineB");
   u00116 : constant Version_32 := 16#c4427fe3#;
   pragma Export (C, u00116, "gnat__command_lineS");
   u00117 : constant Version_32 := 16#8f637df8#;
   pragma Export (C, u00117, "ada__characters__handlingB");
   u00118 : constant Version_32 := 16#3b3f6154#;
   pragma Export (C, u00118, "ada__characters__handlingS");
   u00119 : constant Version_32 := 16#92f05f13#;
   pragma Export (C, u00119, "ada__strings__maps__constantsS");
   u00120 : constant Version_32 := 16#85d5b754#;
   pragma Export (C, u00120, "gnat__directory_operationsB");
   u00121 : constant Version_32 := 16#ab803f13#;
   pragma Export (C, u00121, "gnat__directory_operationsS");
   u00122 : constant Version_32 := 16#a374745a#;
   pragma Export (C, u00122, "gnat__os_libS");
   u00123 : constant Version_32 := 16#5a895de2#;
   pragma Export (C, u00123, "system__pool_globalB");
   u00124 : constant Version_32 := 16#7141203e#;
   pragma Export (C, u00124, "system__pool_globalS");
   u00125 : constant Version_32 := 16#58e7cff7#;
   pragma Export (C, u00125, "system__memoryB");
   u00126 : constant Version_32 := 16#7360bea4#;
   pragma Export (C, u00126, "system__memoryS");
   u00127 : constant Version_32 := 16#7ebd8839#;
   pragma Export (C, u00127, "system__val_intB");
   u00128 : constant Version_32 := 16#62b8f2af#;
   pragma Export (C, u00128, "system__val_intS");
   u00129 : constant Version_32 := 16#084c16d0#;
   pragma Export (C, u00129, "gnat__regexpS");
   u00130 : constant Version_32 := 16#933fac2f#;
   pragma Export (C, u00130, "system__regexpB");
   u00131 : constant Version_32 := 16#092f7f5c#;
   pragma Export (C, u00131, "system__regexpS");
   u00132 : constant Version_32 := 16#b4645806#;
   pragma Export (C, u00132, "gnat__stringsS");
   u00133 : constant Version_32 := 16#6a2b2a78#;
   pragma Export (C, u00133, "templates_parserB");
   u00134 : constant Version_32 := 16#881a24f0#;
   pragma Export (C, u00134, "templates_parserS");
   u00135 : constant Version_32 := 16#5ec405a9#;
   pragma Export (C, u00135, "ada__calendarB");
   u00136 : constant Version_32 := 16#e67a5d0a#;
   pragma Export (C, u00136, "ada__calendarS");
   u00137 : constant Version_32 := 16#d083f760#;
   pragma Export (C, u00137, "system__os_primitivesB");
   u00138 : constant Version_32 := 16#a092c9e6#;
   pragma Export (C, u00138, "system__os_primitivesS");
   u00139 : constant Version_32 := 16#5e196e91#;
   pragma Export (C, u00139, "ada__containersS");
   u00140 : constant Version_32 := 16#c164a034#;
   pragma Export (C, u00140, "ada__containers__hash_tablesS");
   u00141 : constant Version_32 := 16#14d67c72#;
   pragma Export (C, u00141, "ada__containers__helpersB");
   u00142 : constant Version_32 := 16#4adfc5eb#;
   pragma Export (C, u00142, "ada__containers__helpersS");
   u00143 : constant Version_32 := 16#825ddfd4#;
   pragma Export (C, u00143, "system__atomic_countersB");
   u00144 : constant Version_32 := 16#9e41f51d#;
   pragma Export (C, u00144, "system__atomic_countersS");
   u00145 : constant Version_32 := 16#c24eaf4d#;
   pragma Export (C, u00145, "ada__containers__prime_numbersB");
   u00146 : constant Version_32 := 16#6d3af8ed#;
   pragma Export (C, u00146, "ada__containers__prime_numbersS");
   u00147 : constant Version_32 := 16#75de1dee#;
   pragma Export (C, u00147, "ada__strings__hashB");
   u00148 : constant Version_32 := 16#3655ad4c#;
   pragma Export (C, u00148, "ada__strings__hashS");
   u00149 : constant Version_32 := 16#eee9c0c6#;
   pragma Export (C, u00149, "ada__strings__hash_case_insensitiveB");
   u00150 : constant Version_32 := 16#f9e6d5c1#;
   pragma Export (C, u00150, "ada__strings__hash_case_insensitiveS");
   u00151 : constant Version_32 := 16#4e811665#;
   pragma Export (C, u00151, "gnat__calendarB");
   u00152 : constant Version_32 := 16#af71040a#;
   pragma Export (C, u00152, "gnat__calendarS");
   u00153 : constant Version_32 := 16#cd026f41#;
   pragma Export (C, u00153, "interfaces__c__extensionsS");
   u00154 : constant Version_32 := 16#08c66089#;
   pragma Export (C, u00154, "gnat__calendar__time_ioB");
   u00155 : constant Version_32 := 16#6758e7a6#;
   pragma Export (C, u00155, "gnat__calendar__time_ioS");
   u00156 : constant Version_32 := 16#d37ed4a2#;
   pragma Export (C, u00156, "gnat__case_utilB");
   u00157 : constant Version_32 := 16#d6115050#;
   pragma Export (C, u00157, "gnat__case_utilS");
   u00158 : constant Version_32 := 16#d0432c8d#;
   pragma Export (C, u00158, "system__img_enum_newB");
   u00159 : constant Version_32 := 16#4b51de50#;
   pragma Export (C, u00159, "system__img_enum_newS");
   u00160 : constant Version_32 := 16#f1f88835#;
   pragma Export (C, u00160, "system__img_lluB");
   u00161 : constant Version_32 := 16#fe8c7c93#;
   pragma Export (C, u00161, "system__img_lluS");
   u00162 : constant Version_32 := 16#c72dc161#;
   pragma Export (C, u00162, "gnat__regpatS");
   u00163 : constant Version_32 := 16#c3864405#;
   pragma Export (C, u00163, "system__regpatB");
   u00164 : constant Version_32 := 16#a84743ef#;
   pragma Export (C, u00164, "system__regpatS");
   u00165 : constant Version_32 := 16#2b93a046#;
   pragma Export (C, u00165, "system__img_charB");
   u00166 : constant Version_32 := 16#b6298077#;
   pragma Export (C, u00166, "system__img_charS");
   u00167 : constant Version_32 := 16#d8187dfa#;
   pragma Export (C, u00167, "system__strings__stream_opsB");
   u00168 : constant Version_32 := 16#55d4bd57#;
   pragma Export (C, u00168, "system__strings__stream_opsS");
   u00169 : constant Version_32 := 16#c75f8e61#;
   pragma Export (C, u00169, "ada__streams__stream_ioB");
   u00170 : constant Version_32 := 16#31fc8e02#;
   pragma Export (C, u00170, "ada__streams__stream_ioS");
   u00171 : constant Version_32 := 16#5de653db#;
   pragma Export (C, u00171, "system__communicationB");
   u00172 : constant Version_32 := 16#337d8d42#;
   pragma Export (C, u00172, "system__communicationS");
   u00173 : constant Version_32 := 16#7970d26c#;
   pragma Export (C, u00173, "templates_parser__configurationS");
   u00174 : constant Version_32 := 16#ec04e3c9#;
   pragma Export (C, u00174, "templates_parser__inputB");
   u00175 : constant Version_32 := 16#08e39ca1#;
   pragma Export (C, u00175, "templates_parser__inputS");
   u00176 : constant Version_32 := 16#d2456b41#;
   pragma Export (C, u00176, "templates_parser__utilsB");
   u00177 : constant Version_32 := 16#0dfdb513#;
   pragma Export (C, u00177, "templates_parser__utilsS");
   u00178 : constant Version_32 := 16#00c269d6#;
   pragma Export (C, u00178, "ada__directoriesB");
   u00179 : constant Version_32 := 16#de5abcf9#;
   pragma Export (C, u00179, "ada__directoriesS");
   u00180 : constant Version_32 := 16#7bf85949#;
   pragma Export (C, u00180, "ada__calendar__formattingB");
   u00181 : constant Version_32 := 16#937437b5#;
   pragma Export (C, u00181, "ada__calendar__formattingS");
   u00182 : constant Version_32 := 16#e3cca715#;
   pragma Export (C, u00182, "ada__calendar__time_zonesB");
   u00183 : constant Version_32 := 16#991bad49#;
   pragma Export (C, u00183, "ada__calendar__time_zonesS");
   u00184 : constant Version_32 := 16#faa9a7b2#;
   pragma Export (C, u00184, "system__val_realB");
   u00185 : constant Version_32 := 16#d434af81#;
   pragma Export (C, u00185, "system__val_realS");
   u00186 : constant Version_32 := 16#6c05c057#;
   pragma Export (C, u00186, "system__exn_llfB");
   u00187 : constant Version_32 := 16#9663634c#;
   pragma Export (C, u00187, "system__exn_llfS");
   u00188 : constant Version_32 := 16#1b28662b#;
   pragma Export (C, u00188, "system__float_controlB");
   u00189 : constant Version_32 := 16#cae19bac#;
   pragma Export (C, u00189, "system__float_controlS");
   u00190 : constant Version_32 := 16#7a6dbee7#;
   pragma Export (C, u00190, "system__powten_tableS");
   u00191 : constant Version_32 := 16#ab4ad33a#;
   pragma Export (C, u00191, "ada__directories__validityB");
   u00192 : constant Version_32 := 16#d34bdf62#;
   pragma Export (C, u00192, "ada__directories__validityS");
   u00193 : constant Version_32 := 16#8aa9e837#;
   pragma Export (C, u00193, "system__file_attributesS");
   u00194 : constant Version_32 := 16#f127513c#;
   pragma Export (C, u00194, "system__os_constantsS");
   u00195 : constant Version_32 := 16#6fcd215e#;
   pragma Export (C, u00195, "ada__environment_variablesB");
   u00196 : constant Version_32 := 16#3ff48a0e#;
   pragma Export (C, u00196, "ada__environment_variablesS");
   u00197 : constant Version_32 := 16#f2ae7296#;
   pragma Export (C, u00197, "interfaces__c__stringsB");
   u00198 : constant Version_32 := 16#603c1c44#;
   pragma Export (C, u00198, "interfaces__c__stringsS");
   u00199 : constant Version_32 := 16#4e714c3f#;
   pragma Export (C, u00199, "templates_parser_taskingB");
   u00200 : constant Version_32 := 16#4c0209f0#;
   pragma Export (C, u00200, "templates_parser_taskingS");
   u00201 : constant Version_32 := 16#7007d436#;
   pragma Export (C, u00201, "ada__task_identificationB");
   u00202 : constant Version_32 := 16#72a0fa1a#;
   pragma Export (C, u00202, "ada__task_identificationS");
   u00203 : constant Version_32 := 16#78608ec5#;
   pragma Export (C, u00203, "system__task_primitivesS");
   u00204 : constant Version_32 := 16#172fac80#;
   pragma Export (C, u00204, "system__os_interfaceB");
   u00205 : constant Version_32 := 16#43e0572c#;
   pragma Export (C, u00205, "system__os_interfaceS");
   u00206 : constant Version_32 := 16#51e6a3da#;
   pragma Export (C, u00206, "system__linuxS");
   u00207 : constant Version_32 := 16#d6ce0341#;
   pragma Export (C, u00207, "system__task_primitives__operationsB");
   u00208 : constant Version_32 := 16#36e3003b#;
   pragma Export (C, u00208, "system__task_primitives__operationsS");
   u00209 : constant Version_32 := 16#b344ab9e#;
   pragma Export (C, u00209, "system__interrupt_managementB");
   u00210 : constant Version_32 := 16#5d7034ca#;
   pragma Export (C, u00210, "system__interrupt_managementS");
   u00211 : constant Version_32 := 16#f65595cf#;
   pragma Export (C, u00211, "system__multiprocessorsB");
   u00212 : constant Version_32 := 16#12b147e3#;
   pragma Export (C, u00212, "system__multiprocessorsS");
   u00213 : constant Version_32 := 16#d8d909aa#;
   pragma Export (C, u00213, "system__stack_checking__operationsB");
   u00214 : constant Version_32 := 16#64c2cb2b#;
   pragma Export (C, u00214, "system__stack_checking__operationsS");
   u00215 : constant Version_32 := 16#375a3ef7#;
   pragma Export (C, u00215, "system__task_infoB");
   u00216 : constant Version_32 := 16#65d4b905#;
   pragma Export (C, u00216, "system__task_infoS");
   u00217 : constant Version_32 := 16#c75141ac#;
   pragma Export (C, u00217, "system__taskingB");
   u00218 : constant Version_32 := 16#b320bb41#;
   pragma Export (C, u00218, "system__taskingS");
   u00219 : constant Version_32 := 16#118e865d#;
   pragma Export (C, u00219, "system__stack_usageB");
   u00220 : constant Version_32 := 16#2b675f35#;
   pragma Export (C, u00220, "system__stack_usageS");
   u00221 : constant Version_32 := 16#32172964#;
   pragma Export (C, u00221, "system__tasking__debugB");
   u00222 : constant Version_32 := 16#bb5f8631#;
   pragma Export (C, u00222, "system__tasking__debugS");
   u00223 : constant Version_32 := 16#fd83e873#;
   pragma Export (C, u00223, "system__concat_2B");
   u00224 : constant Version_32 := 16#28bd0f40#;
   pragma Export (C, u00224, "system__concat_2S");
   u00225 : constant Version_32 := 16#2b70b149#;
   pragma Export (C, u00225, "system__concat_3B");
   u00226 : constant Version_32 := 16#216d8435#;
   pragma Export (C, u00226, "system__concat_3S");
   u00227 : constant Version_32 := 16#05f5974e#;
   pragma Export (C, u00227, "system__tasking__utilitiesB");
   u00228 : constant Version_32 := 16#84267d14#;
   pragma Export (C, u00228, "system__tasking__utilitiesS");
   u00229 : constant Version_32 := 16#c6d6e0bb#;
   pragma Export (C, u00229, "system__tasking__initializationB");
   u00230 : constant Version_32 := 16#ed62fcff#;
   pragma Export (C, u00230, "system__tasking__initializationS");
   u00231 : constant Version_32 := 16#8cbc61ab#;
   pragma Export (C, u00231, "system__soft_links__taskingB");
   u00232 : constant Version_32 := 16#5ae92880#;
   pragma Export (C, u00232, "system__soft_links__taskingS");
   u00233 : constant Version_32 := 16#17d21067#;
   pragma Export (C, u00233, "ada__exceptions__is_null_occurrenceB");
   u00234 : constant Version_32 := 16#e1d7566f#;
   pragma Export (C, u00234, "ada__exceptions__is_null_occurrenceS");
   u00235 : constant Version_32 := 16#1b84470b#;
   pragma Export (C, u00235, "system__tasking__task_attributesB");
   u00236 : constant Version_32 := 16#a1da3c09#;
   pragma Export (C, u00236, "system__tasking__task_attributesS");
   u00237 : constant Version_32 := 16#57df25b5#;
   pragma Export (C, u00237, "system__tasking__queuingB");
   u00238 : constant Version_32 := 16#05e644a6#;
   pragma Export (C, u00238, "system__tasking__queuingS");
   u00239 : constant Version_32 := 16#9a283644#;
   pragma Export (C, u00239, "system__tasking__protected_objectsB");
   u00240 : constant Version_32 := 16#5744f344#;
   pragma Export (C, u00240, "system__tasking__protected_objectsS");
   u00241 : constant Version_32 := 16#ee80728a#;
   pragma Export (C, u00241, "system__tracesB");
   u00242 : constant Version_32 := 16#d800b03a#;
   pragma Export (C, u00242, "system__tracesS");
   u00243 : constant Version_32 := 16#fdb2ef41#;
   pragma Export (C, u00243, "system__tasking__protected_objects__entriesB");
   u00244 : constant Version_32 := 16#a0c7bfc6#;
   pragma Export (C, u00244, "system__tasking__protected_objects__entriesS");
   u00245 : constant Version_32 := 16#100eaf58#;
   pragma Export (C, u00245, "system__restrictionsB");
   u00246 : constant Version_32 := 16#319e8e94#;
   pragma Export (C, u00246, "system__restrictionsS");
   u00247 : constant Version_32 := 16#bd6fc52e#;
   pragma Export (C, u00247, "system__traces__taskingB");
   u00248 : constant Version_32 := 16#0b40d4b2#;
   pragma Export (C, u00248, "system__traces__taskingS");
   u00249 : constant Version_32 := 16#ac92c59a#;
   pragma Export (C, u00249, "system__tasking__protected_objects__operationsB");
   u00250 : constant Version_32 := 16#902e29cd#;
   pragma Export (C, u00250, "system__tasking__protected_objects__operationsS");
   u00251 : constant Version_32 := 16#b1c8176f#;
   pragma Export (C, u00251, "system__tasking__entry_callsB");
   u00252 : constant Version_32 := 16#ddf2aa0b#;
   pragma Export (C, u00252, "system__tasking__entry_callsS");
   u00253 : constant Version_32 := 16#ffdce1e2#;
   pragma Export (C, u00253, "system__tasking__rendezvousB");
   u00254 : constant Version_32 := 16#3e44c873#;
   pragma Export (C, u00254, "system__tasking__rendezvousS");
   --  BEGIN ELABORATION ORDER
   --  ada%s
   --  ada.characters%s
   --  ada.characters.handling%s
   --  ada.characters.latin_1%s
   --  ada.command_line%s
   --  ada.environment_variables%s
   --  gnat%s
   --  interfaces%s
   --  system%s
   --  system.address_operations%s
   --  system.address_operations%b
   --  system.atomic_counters%s
   --  system.atomic_counters%b
   --  system.case_util%s
   --  system.case_util%b
   --  gnat.case_util%s
   --  gnat.case_util%b
   --  system.exn_llf%s
   --  system.exn_llf%b
   --  system.float_control%s
   --  system.float_control%b
   --  system.htable%s
   --  system.img_bool%s
   --  system.img_bool%b
   --  system.img_char%s
   --  system.img_char%b
   --  system.img_enum_new%s
   --  system.img_enum_new%b
   --  system.img_int%s
   --  system.img_int%b
   --  system.io%s
   --  system.io%b
   --  system.multiprocessors%s
   --  system.os_primitives%s
   --  system.os_primitives%b
   --  system.parameters%s
   --  system.parameters%b
   --  system.crtl%s
   --  interfaces.c_streams%s
   --  interfaces.c_streams%b
   --  system.powten_table%s
   --  system.restrictions%s
   --  system.restrictions%b
   --  system.standard_library%s
   --  system.exceptions_debug%s
   --  system.exceptions_debug%b
   --  system.storage_elements%s
   --  system.storage_elements%b
   --  system.stack_checking%s
   --  system.stack_checking%b
   --  system.stack_checking.operations%s
   --  system.stack_usage%s
   --  system.stack_usage%b
   --  system.string_hash%s
   --  system.string_hash%b
   --  system.htable%b
   --  system.strings%s
   --  system.strings%b
   --  gnat.strings%s
   --  system.os_lib%s
   --  gnat.os_lib%s
   --  system.traceback_entries%s
   --  system.traceback_entries%b
   --  ada.exceptions%s
   --  ada.exceptions.is_null_occurrence%s
   --  ada.exceptions.is_null_occurrence%b
   --  system.soft_links%s
   --  system.stack_checking.operations%b
   --  system.traces%s
   --  system.traces%b
   --  system.unsigned_types%s
   --  system.img_llu%s
   --  system.img_llu%b
   --  system.val_int%s
   --  system.val_real%s
   --  system.val_uns%s
   --  system.val_util%s
   --  system.val_util%b
   --  system.val_uns%b
   --  system.val_real%b
   --  system.val_int%b
   --  system.wch_con%s
   --  system.wch_con%b
   --  system.wch_cnv%s
   --  system.wch_jis%s
   --  system.wch_jis%b
   --  system.wch_cnv%b
   --  system.wch_stw%s
   --  system.wch_stw%b
   --  ada.exceptions.last_chance_handler%s
   --  ada.exceptions.last_chance_handler%b
   --  ada.exceptions.traceback%s
   --  system.address_image%s
   --  system.bit_ops%s
   --  system.bit_ops%b
   --  system.compare_array_unsigned_8%s
   --  system.compare_array_unsigned_8%b
   --  system.concat_2%s
   --  system.concat_2%b
   --  system.concat_3%s
   --  system.concat_3%b
   --  system.exception_table%s
   --  system.exception_table%b
   --  ada.containers%s
   --  ada.containers.prime_numbers%s
   --  ada.containers.prime_numbers%b
   --  ada.io_exceptions%s
   --  ada.strings%s
   --  ada.strings.hash%s
   --  ada.strings.hash%b
   --  ada.strings.hash_case_insensitive%s
   --  ada.strings.maps%s
   --  ada.strings.fixed%s
   --  ada.strings.maps.constants%s
   --  ada.strings.search%s
   --  ada.strings.search%b
   --  ada.tags%s
   --  ada.streams%s
   --  ada.streams%b
   --  interfaces.c%s
   --  system.multiprocessors%b
   --  interfaces.c.extensions%s
   --  interfaces.c.strings%s
   --  system.communication%s
   --  system.communication%b
   --  system.exceptions%s
   --  system.exceptions%b
   --  system.exceptions.machine%s
   --  system.file_control_block%s
   --  ada.streams.stream_io%s
   --  system.file_io%s
   --  ada.streams.stream_io%b
   --  system.finalization_root%s
   --  system.finalization_root%b
   --  ada.finalization%s
   --  ada.containers.helpers%s
   --  ada.containers.helpers%b
   --  ada.containers.hash_tables%s
   --  system.linux%s
   --  system.os_constants%s
   --  system.os_interface%s
   --  system.os_interface%b
   --  system.interrupt_management%s
   --  system.regpat%s
   --  gnat.regpat%s
   --  system.storage_pools%s
   --  system.storage_pools%b
   --  system.finalization_masters%s
   --  system.storage_pools.subpools%s
   --  system.storage_pools.subpools.finalization%s
   --  system.storage_pools.subpools.finalization%b
   --  system.stream_attributes%s
   --  system.stream_attributes%b
   --  system.task_info%s
   --  system.task_info%b
   --  system.task_primitives%s
   --  system.interrupt_management%b
   --  system.tasking%s
   --  ada.task_identification%s
   --  system.task_primitives.operations%s
   --  system.tasking%b
   --  system.tasking.debug%s
   --  system.tasking.debug%b
   --  system.task_primitives.operations%b
   --  system.traces.tasking%s
   --  system.traces.tasking%b
   --  ada.calendar%s
   --  ada.calendar%b
   --  ada.calendar.time_zones%s
   --  ada.calendar.time_zones%b
   --  ada.calendar.formatting%s
   --  gnat.calendar%s
   --  gnat.calendar%b
   --  gnat.calendar.time_io%s
   --  gnat.directory_operations%s
   --  system.file_attributes%s
   --  system.memory%s
   --  system.memory%b
   --  system.standard_library%b
   --  system.pool_global%s
   --  system.pool_global%b
   --  system.secondary_stack%s
   --  system.storage_pools.subpools%b
   --  system.finalization_masters%b
   --  system.regpat%b
   --  system.file_io%b
   --  interfaces.c.strings%b
   --  interfaces.c%b
   --  ada.tags%b
   --  ada.strings.fixed%b
   --  ada.strings.maps%b
   --  ada.strings.hash_case_insensitive%b
   --  system.soft_links%b
   --  system.os_lib%b
   --  ada.environment_variables%b
   --  ada.command_line%b
   --  ada.characters.handling%b
   --  system.secondary_stack%b
   --  gnat.directory_operations%b
   --  ada.calendar.formatting%b
   --  system.address_image%b
   --  ada.exceptions.traceback%b
   --  ada.strings.unbounded%s
   --  ada.strings.unbounded%b
   --  ada.directories%s
   --  ada.directories.validity%s
   --  ada.directories.validity%b
   --  system.regexp%s
   --  system.regexp%b
   --  ada.directories%b
   --  gnat.regexp%s
   --  gnat.command_line%s
   --  system.soft_links.tasking%s
   --  system.soft_links.tasking%b
   --  system.strings.stream_ops%s
   --  system.strings.stream_ops%b
   --  system.tasking.entry_calls%s
   --  system.tasking.initialization%s
   --  system.tasking.task_attributes%s
   --  system.tasking.task_attributes%b
   --  system.tasking.utilities%s
   --  ada.task_identification%b
   --  system.traceback%s
   --  system.traceback%b
   --  system.traceback.symbolic%s
   --  system.traceback.symbolic%b
   --  ada.exceptions%b
   --  system.tasking.initialization%b
   --  ada.text_io%s
   --  ada.text_io%b
   --  gnat.command_line%b
   --  gnat.calendar.time_io%b
   --  system.tasking.protected_objects%s
   --  system.tasking.protected_objects%b
   --  system.tasking.protected_objects.entries%s
   --  system.tasking.protected_objects.entries%b
   --  system.tasking.queuing%s
   --  system.tasking.queuing%b
   --  system.tasking.utilities%b
   --  system.tasking.rendezvous%s
   --  system.tasking.protected_objects.operations%s
   --  system.tasking.protected_objects.operations%b
   --  system.tasking.rendezvous%b
   --  system.tasking.entry_calls%b
   --  templates_parser_tasking%s
   --  templates_parser_tasking%b
   --  templates_parser%s
   --  templatespp%b
   --  templates_parser.configuration%s
   --  templates_parser.input%s
   --  templates_parser.input%b
   --  templates_parser.utils%s
   --  templates_parser.utils%b
   --  templates_parser%b
   --  END ELABORATION ORDER


end ada_main;
